Page MenuHomePhabricator

[lldb-vscode] add `launchCommands` to handle launch specific commands
ClosedPublic

Authored by kusmour on Jul 26 2019, 6:31 PM.

Details

Summary

This can help lldb-vscode handle launch commands associate with remote platform
attach request have field attachCommands to handle attach specific commands
add a corresponding one for launch request
if no launch command is provided, create a new target and launch; otherwise, execute the launch command

Diff Detail

Repository
rL LLVM

Event Timeline

kusmour created this revision.Jul 26 2019, 6:31 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 26 2019, 6:31 PM
clayborg requested changes to this revision.Jul 28 2019, 5:45 PM
clayborg added a subscriber: clayborg.

Not sure it matters, but you can just specify to "attach" and use "attachCommands" instead of adding this feature. It might be confusing to be using "attach" and run "attachCommands" when you want to launch, so I understand if you still want this patch. There will need to be a test for this.

This revision now requires changes to proceed.Jul 28 2019, 5:45 PM
kusmour updated this revision to Diff 212683.Jul 31 2019, 3:46 PM

complete the corresponding test for extra launchCommands

clayborg accepted this revision.Aug 1 2019, 3:11 PM
This revision is now accepted and ready to land.Aug 1 2019, 3:11 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 19 2019, 1:17 PM